YepAPI
AI Models

Qwen 3.5 35B

Alibaba's efficient small MoE model. 35B parameters with just 3B active for ultra-fast, cheap inference.

POST/v1/ai/chat
$0.01/call

Overview

Alibaba's efficient small MoE model. 35B parameters with just 3B active for ultra-fast, cheap inference.

PropertyValue
Model IDqwen/qwen3.5-35b-a3b
Context Window262,144 tokens
Max Output8,192 tokens
Input Price$0.1625 / 1M tokens
Output Price$1.30 / 1M tokens

Usage

const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'qwen/qwen3.5-35b-a3b',
    messages: [{ role: 'user', content: 'Convert this JSON to a TypeScript interface: {name: string, age: number, tags: string[]}' }],
  }),
});
const { data } = await res.json();
console.log(data.message.content);
curl -X POST https://api.yepapi.com/v1/ai/chat \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "qwen/qwen3.5-35b-a3b", "messages": [{"role": "user", "content": "Convert this JSON to a TypeScript interface: {name: string, age: number, tags: string[]}"}]}'

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesModel ID (e.g. qwen/qwen3.5-35b-a3b)
messagesMessage[]YesArray of { role, content } objects
maxTokensnumberNoMaximum tokens in the responseModel default
temperaturenumberNoSampling temperature (0.0–2.0)1.0
topPnumberNoNucleus sampling threshold1.0
frequencyPenaltynumberNoPenalize repeated tokens0
presencePenaltynumberNoPenalize tokens already present0
streambooleanNoEnable SSE streamingfalse
Info

All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.

Response

{
  "ok": true,
  "data": {
    "model": "qwen/qwen3.5-35b-a3b",
    "message": {
      "role": "assistant",
      "content": "interface User {\n  name: string;\n  age: number;\n  tags: string[];\n}"
    },
    "usage": {
      "promptTokens": 24,
      "completionTokens": 22,
      "totalTokens": 46
    }
  }
}

Streaming

Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:

data: {"delta":{"content":"interface"},"model":"qwen/qwen3.5-35b-a3b","index":0}
data: [DONE]
Under the Hood

We handle auth, billing, and response normalization — you just send messages.

On this page